## ⚠️ This package has been deprecated

If you're currently using or planning to use this package, please consider moving to `@splunk/visualizations` as we will stop publishing bugfixes and features for this package.

Read more about the deprecation and how to migrate in our [migration doc](?path=%2FMigration)

## General

Dashboard visualizations are visualization components that can be imported into the dashboard. Dashboard visualizations read data from a dataSources object and render visualizations by importing React visualization components (@splunk/react-visualizations). If you want to use visualization without dashboard or dataSources, switch to use [@splunk/react-visualizations]

The following visualizations have been upgraded and are available to consume from the new @splunk/visualizations package.

-   ChoroplethSvg
-   SingleValue
-   SingleValueIcon
-   Table

## Install

Install @splunk/dashboard-visualizations

1.  Install peer dependencies
    ```
    npm install react@^16 react-dom@^16 styled-components@5 @splunk/visualization-context --save
    ```
1.  Install the visualizations package
    ```
    npm install @splunk/dashboard-visualizations --save
    ```

## Using the Components

In your dashboard presets

```js
import Bar from '@splunk/dashboard-visualizations/Bar';
import SingleValue from '@splunk/dashboard-visualizations/SingleValue';

export default {
    visualizations: {
        'viz.bar': Bar,
        'viz.singlevalue': SingleValue,
    },
};
```
