/*!
 * Copyright © 2024 Splunk Inc.
 * SPLUNK CONFIDENTIAL – Use or disclosure of this material in whole or
 * in part without a valid written license from Splunk Inc. is PROHIBITED.
 */
module.exports =
/******/ (function(modules) { // webpackBootstrap
/******/ 	// The module cache
/******/ 	var installedModules = {};
/******/
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/
/******/ 		// Check if module is in cache
/******/ 		if(installedModules[moduleId]) {
/******/ 			return installedModules[moduleId].exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = installedModules[moduleId] = {
/******/ 			i: moduleId,
/******/ 			l: false,
/******/ 			exports: {}
/******/ 		};
/******/
/******/ 		// Execute the module function
/******/ 		modules[moduleId].call(module.exports, module, module.exports, __webpack_require__);
/******/
/******/ 		// Flag the module as loaded
/******/ 		module.l = true;
/******/
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/
/******/
/******/ 	// expose the modules object (__webpack_modules__)
/******/ 	__webpack_require__.m = modules;
/******/
/******/ 	// expose the module cache
/******/ 	__webpack_require__.c = installedModules;
/******/
/******/ 	// define getter function for harmony exports
/******/ 	__webpack_require__.d = function(exports, name, getter) {
/******/ 		if(!__webpack_require__.o(exports, name)) {
/******/ 			Object.defineProperty(exports, name, { enumerable: true, get: getter });
/******/ 		}
/******/ 	};
/******/
/******/ 	// define __esModule on exports
/******/ 	__webpack_require__.r = function(exports) {
/******/ 		if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 			Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 		}
/******/ 		Object.defineProperty(exports, '__esModule', { value: true });
/******/ 	};
/******/
/******/ 	// create a fake namespace object
/******/ 	// mode & 1: value is a module id, require it
/******/ 	// mode & 2: merge all properties of value into the ns
/******/ 	// mode & 4: return value when already ns object
/******/ 	// mode & 8|1: behave like require
/******/ 	__webpack_require__.t = function(value, mode) {
/******/ 		if(mode & 1) value = __webpack_require__(value);
/******/ 		if(mode & 8) return value;
/******/ 		if((mode & 4) && typeof value === 'object' && value && value.__esModule) return value;
/******/ 		var ns = Object.create(null);
/******/ 		__webpack_require__.r(ns);
/******/ 		Object.defineProperty(ns, 'default', { enumerable: true, value: value });
/******/ 		if(mode & 2 && typeof value != 'string') for(var key in value) __webpack_require__.d(ns, key, function(key) { return value[key]; }.bind(null, key));
/******/ 		return ns;
/******/ 	};
/******/
/******/ 	// getDefaultExport function for compatibility with non-harmony modules
/******/ 	__webpack_require__.n = function(module) {
/******/ 		var getter = module && module.__esModule ?
/******/ 			function getDefault() { return module['default']; } :
/******/ 			function getModuleExports() { return module; };
/******/ 		__webpack_require__.d(getter, 'a', getter);
/******/ 		return getter;
/******/ 	};
/******/
/******/ 	// Object.prototype.hasOwnProperty.call
/******/ 	__webpack_require__.o = function(object, property) { return Object.prototype.hasOwnProperty.call(object, property); };
/******/
/******/ 	// __webpack_public_path__
/******/ 	__webpack_require__.p = "";
/******/
/******/
/******/ 	// Load entry module and return exports
/******/ 	return __webpack_require__(__webpack_require__.s = 53);
/******/ })
/************************************************************************/
/******/ ({

/***/ 15:
/***/ (function(module, exports) {

module.exports = require("@splunk/react-visualizations/utils/numberUtils");

/***/ }),

/***/ 18:
/***/ (function(module, exports) {

module.exports = require("@splunk/moment");

/***/ }),

/***/ 24:
/***/ (function(module, exports) {

module.exports = require("lodash");

/***/ }),

/***/ 53:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
__webpack_require__.r(__webpack_exports__);
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "computeGranularity", function() { return computeGranularity; });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "formatTime", function() { return formatTime; });
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(24);
/* harmony import */ var lodash__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(lodash__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _splunk_moment__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(18);
/* harmony import */ var _splunk_moment__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(_splunk_moment__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _splunk_react_visualizations_utils_numberUtils__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(15);
/* harmony import */ var _splunk_react_visualizations_utils_numberUtils__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_splunk_react_visualizations_utils_numberUtils__WEBPACK_IMPORTED_MODULE_2__);



var TIMESTAMP_FORMATS = {
  year: 'YYYY',
  month: 'YYYY-MM',
  day: 'YYYY-MM-DD',
  hour: 'YYYY-MM-DD hh:00 A',
  minute: 'YYYY-MM-DD hh:mm:00 A',
  second: 'YYYY-MM-DD hh:mm:ss A',
  millisecond: 'YYYY-MM-DD hh:mm:ss.SSS A'
};

var timeToMoment = function timeToMoment(time) {
  // try convert epoch time into number first
  var t = Object(_splunk_react_visualizations_utils_numberUtils__WEBPACK_IMPORTED_MODULE_2__["isNumerial"])(time) ? Object(_splunk_react_visualizations_utils_numberUtils__WEBPACK_IMPORTED_MODULE_2__["parseNumber"])(time) : time; // if splunk time zone is set, create time in splunk timezone and locale

  if (_splunk_moment__WEBPACK_IMPORTED_MODULE_1___default.a.getDefaultSplunkTimezone()) {
    return _splunk_moment__WEBPACK_IMPORTED_MODULE_1___default.a.newSplunkTime({
      time: t
    });
  } // fallback to moment default


  return Object(lodash__WEBPACK_IMPORTED_MODULE_0__["isNumber"])(t) ? _splunk_moment__WEBPACK_IMPORTED_MODULE_1___default.a.unix(t) : _splunk_moment__WEBPACK_IMPORTED_MODULE_1___default()(t);
};

var computeGranularity = function computeGranularity() {
  var timeArray = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : [];
  var defaultGranularity = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'second';
  var granularity = defaultGranularity;
  Object(lodash__WEBPACK_IMPORTED_MODULE_0__["each"])(timeArray, function (time) {
    var t = timeToMoment(time);

    if (t.isValid()) {
      if (t.millisecond() > 0) {
        granularity = 'millisecond';
      } else if (t.second() > 0) {
        granularity = 'second';
      } else if (t.minute() > 0) {
        granularity = 'minute';
      } else if (t.hour() > 0) {
        granularity = 'hour';
      } else if (t.date() > 1) {
        granularity = 'day';
      } else if (t.month() > 1) {
        granularity = 'month';
      } else if (t.year() > 1) {
        granularity = 'year';
      }
    }
  });
  return granularity;
};
var formatTime = function formatTime(timeStr) {
  var granularity = arguments.length > 1 && arguments[1] !== undefined ? arguments[1] : 'millisecond';
  var time = timeToMoment(timeStr);

  if (time.isValid()) {
    return time.format(TIMESTAMP_FORMATS[granularity]);
  }

  return timeStr;
};

/***/ })

/******/ });
//# sourceMappingURL=timeUtils.js.map